[linux_var] Gentoo

Luca Lesinigo lucky a luckyluke.org
Ven 30 Gen 2004 12:07:57 UTC


On Thu, Jan 29, 2004 at 11:36:04PM +0100, Luca wrote:
> eheh...mi servono delle librerie che sono compatibili e funzionanti per 
> ora solo con gentoo(gtkmm2.0)
> con mdk ho provato in mille modi ma non le installa.....
Con gentoo compili la versione che vuoi di quello che vuoi, se desideri...
basta fare emerge cosachevuoi-versionechevuoi, per esempio emerge gtk-1.2.3

> installazione tosta...noo.....deppiu''
Non e' vero. Se segui alla lettera la guida apposita, che trovi sia sul cd che su internet, non puoi sbagliare.

> ho iniziato oggi alle 15.00 e appena 10 minuti fa ho fatto una cazzata e 
> mi ha mandato a quel paese tuto il lavoro......domani ci riprovo appena 
> sveglio.....speriamo bene....
ricorda che se vuoi risparmiare tempo c'e' GRP, ovverosia l'uso di pacchetti precompilati. Certo che se poi devi mettere versioni particolari di librerie particolari hai da fare un filo di piu'...

> cmq per quanto ne ho capito e' una gran bella cosa gentoo.....il sistema 
> dovrebbe essere molto piu performante e l'installazione manuale delle 
> librerie e tutto il resto ti da quasi al 100% compatibilita.....cosi 
> spero...altrimenti lavoro per nulla...
Vai di gentoo, e fidati! :)
Tip'n'trick: quando devi compilare qualcosa, per vedere le dipendenze e soprattutto quali flag puoi usare (parlo degli USE flags), usa:
emerge -pv cosachedevicompilare
Avrai un quadro completo di cosa compili, delle dipendenze mancanti, e di ogni flag usato da ognuna di queste cose...

-- 
Luca Lesinigo
GPG Key: 092D3DDB



More information about the Talking mailing list